<?php
/**
 * BwPostman Newsletter Component
 *
 * BwPostman register success message template for frontend.
 *
 * @version 1.0.8.2 bwpm
 * @package BwPostman-Site
 * @author Romana Boldt
 * @copyright (C) 2012-2015 Boldt Webservice <forum@boldt-webservice.de>
 * @support http://www.boldt-webservice.de/forum/bwpostman.html
 * @license GNU/GPL, see LICENSE.txt
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Check to ensure this file is included in Joomla!
defined ('_JEXEC') or die ('Restricted access');

// Success message - will be shown if
// 1. the newsletteraccount has been successfully activated --> show a link to the editmode
// 2. the registration was successful and the confirmation email has been successfully sent
// 3. the activationcode email has been successfully sent
// 4. the editlink email has been successfully sent

?>

<div id="bwp_com_register_success">
	<?php if ($this->params->def('show_page_title', 1)) { ?>
	<h1 class="componentheading<?php echo $this->params->get('pageclass_sfx'); ?>"><?php echo $this->escape($this->params->get('page_title')); ?></h1>
	
	<div class="content_inner">
		<?php }
		if ($this->success->editlink) { // Case 1
			if ($this->user->get('guest')) {
				if (is_null($this->success->itemid)) {
					$link = JRoute::_($this->uri."index.php?option=com_bwpostman&amp;view=edit&amp;editlink={$this->success->editlink}");
				} 
				else {
					$link = JRoute::_($this->uri."index.php?option=com_bwpostman&amp;Itemid={$this->success->itemid}&amp;view=edit&amp;editlink={$this->success->editlink}");
				}
			} 
			else {
				if (is_null($this->success->itemid)) {
					$link = JRoute::_($this->uri."index.php?option=com_bwpostman&amp;view=edit") ;
				} 
				else {
					$link = JRoute::_($this->uri."index.php?option=com_bwpostman&amp;Itemid={$this->success->itemid}&amp;view=edit") ;
				}
			}
		
			$msg = JText::sprintf($this->success->success_msg, $link);
		
			echo $msg;
		} 
		else { 	// Case 2, 3, 4
			echo JText::_($this->success->success_msg);
		}
		?>
		
		<p class="copyright"><?php echo BwPostman::footer(); ?></p>
	</div>
</div>